## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate krates

Name:           rust-krates
Version:        0.16.10
Release:        %autorelease
Summary:        Create graphs of crates gathered from cargo metadata

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/krates
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused dev-dependencies (integration tests are not shipped)
Patch:          krates-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Create graphs of crates gathered from cargo metadata.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+targets-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+targets-devel %{_description}

This package contains library source intended for building other packages which
use the "targets" feature of the "%{crate}" crate.

%files       -n %{name}+targets-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Apr 15 2024 Fabio Valentini <decathorpe@gmail.com> - 0.16.10-1
- Update to version 0.16.10; Fixes RHBZ#2259265

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.15.3-1
- Update to version 0.15.3; Fixes RHBZ#2258170

* Fri Jan 12 2024 Fabio Valentini <decathorpe@gmail.com> - 0.15.2-1
- Update to version 0.15.2; Fixes RHBZ#2258058

* Wed Oct 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.15.1-1
- Initial import (#2242762)
## END: Generated by rpmautospec
